import { __assign, __rest } from "tslib";
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var FileEarmarkMedical = forwardRef(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = __rest(_a, ["svgProps"]);
    return (React.createElement(IconBase, __assign({ "aria-label": "file-earmark-medical" }, restProps, { ref: ref }),
        React.createElement("svg", __assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            React.createElement("path", { d: "M7.5 5.5a.5.5 0 0 0-1 0v.634l-.549-.317a.5.5 0 1 0-.5.866L6 7l-.549.317a.5.5 0 1 0 .5.866l.549-.317V8.5a.5.5 0 1 0 1 0v-.634l.549.317a.5.5 0 1 0 .5-.866L8 7l.549-.317a.5.5 0 1 0-.5-.866l-.549.317zm-2 4.5a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1zm0 2a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1z" }),
            React.createElement("path", { d: "M14 14V4.5L9.5 0H4a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2M9.5 3A1.5 1.5 0 0 0 11 4.5h2V14a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h5.5z" }))));
});
FileEarmarkMedical.displayName = 'FileEarmarkMedical';
export default FileEarmarkMedical;
