import { __assign, __rest } from "tslib";
import React, { forwardRef } from 'react';
import IconBase from '../icon/IconBase';
var Play = forwardRef(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = __rest(_a, ["svgProps"]);
    return (React.createElement(IconBase, __assign({ "aria-label": "play" }, restProps, { ref: ref }),
        React.createElement("svg", __assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            React.createElement("path", { d: "M10.804 8 5 4.633v6.734zm.792-.696a.802.802 0 0 1 0 1.392l-6.363 3.692C4.713 12.69 4 12.345 4 11.692V4.308c0-.653.713-.998 1.233-.696z" }))));
});
Play.displayName = 'Play';
export default Play;
