"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInsertStyle = exports.iconStyle = void 0;
var tslib_1 = require("tslib");
var react_1 = require("react");
var IconContext_1 = tslib_1.__importDefault(require("./IconContext"));
var utils_1 = require("./utils");
exports.iconStyle = "@-webkit-keyframes doly-icon-animate-spin {\n  100% {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n}\n@keyframes doly-icon-animate-spin {\n  100% {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n}\n@-webkit-keyframes doly-icon-animate-spin-reverse {\n  from {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n  to {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n}\n@keyframes doly-icon-animate-spin-reverse {\n  from {\n    -webkit-transform: rotate(360deg);\n    transform: rotate(360deg);\n  }\n  to {\n    -webkit-transform: rotate(0deg);\n    transform: rotate(0deg);\n  }\n}\n.doly-icon {\n  display: inline-block;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  color: currentColor;\n  font-size: 1em;\n  color: var(--doly-icon-color, currentColor);\n  font-size: var(--doly-icon-font-size, 1em);\n  font-style: normal;\n  line-height: 0;\n  text-align: center;\n  text-transform: none;\n  vertical-align: -0.125em;\n  text-rendering: optimizeLegibility;\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.doly-icon > * {\n  line-height: 1;\n}\n.doly-icon > svg {\n  display: inline-block;\n}\n.doly-icon-spin {\n  -webkit-animation: doly-icon-animate-spin 1s infinite linear;\n  animation: doly-icon-animate-spin 1s infinite linear;\n  -webkit-animation: doly-icon-animate-spin var(--doly-icon-spin-duration, 1s) infinite linear;\n  animation: doly-icon-animate-spin var(--doly-icon-spin-duration, 1s) infinite linear;\n}\n.doly-icon-spin-reverse {\n  -webkit-animation: doly-icon-animate-spin-reverse 1s infinite linear;\n  animation: doly-icon-animate-spin-reverse 1s infinite linear;\n  -webkit-animation: doly-icon-animate-spin-reverse var(--doly-icon-spin-duration, 1s) infinite linear;\n  animation: doly-icon-animate-spin-reverse var(--doly-icon-spin-duration, 1s) infinite linear;\n}";
function useInsertStyle() {
    var csp = (0, react_1.useContext)(IconContext_1.default).csp;
    (0, react_1.useEffect)(function () {
        (0, utils_1.injectStyle)(exports.iconStyle, 'doly-icons', { csp: csp });
    }, [csp]);
}
exports.useInsertStyle = useInsertStyle;
